> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gloo.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Chat history and details for a user.

# Get chat

<Warning>
  **Deprecated Endpoint**: This endpoint is part of the Chat API which is deprecated.

  Please migrate to the [Completions v2 API](/api-guides/completions-v2) for new projects.

  **[Migration Guide →](/api-guides/migrating-from-chat-to-completions-v2)**
</Warning>


## OpenAPI

````yaml get /ai/{v}/chat
openapi: 3.1.0
info:
  title: AI API
  description: |-
    Optimized for high-speed inference and scalability by Gloo AI

    [Swagger UI](./docs) | [ReDoc UI](./redoc)
  version: 1.0.0
servers:
  - url: https://platform.ai.gloo.com
security:
  - bearerAuth: []
tags:
  - name: Content Controls
  - name: Data Engine
  - name: Ingestion & Enrichment
  - name: answers
  - name: chat
  - name: completions
  - name: content
  - name: core
  - name: data
  - name: get-models
  - name: ingestion
  - name: sotc
paths:
  /ai/{v}/chat:
    get:
      tags:
        - chat
      summary: Get chat
      description: Get chat.
      operationId: get
      parameters:
        - name: v
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/AvailableVersions'
        - name: chat_id
          in: query
          required: true
          schema:
            type: string
            title: Chat Id
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                title: Response Get
              example:
                user_id: u8721bb6d-b1c3-4130-b413-e7a56b3403d9
                chat_id: c518c540a-28f1-4055-a8ed-44a5929c63f8
                created_at: '2025-07-14T19:04:56.974882'
                updated_at: '2025-07-14T19:05:03.205307'
                messages:
                  - query_id: q912f58e9-135b-4f95-8853-d98f7b5294f6
                    message_id: mfdca4b99-c672-4f76-8b48-dcf550be9500
                    timestamp: '2025-07-14T19:04:58.449394'
                    role: user
                    character_limit: 0
                    stream: false
                    intent: 0
                    message: What is your name?
                    model: us.anthropic.claude-3-7-sonnet-20250219-v1:0
                    publishers: []
                  - query_id: q912f58e9-135b-4f95-8853-d98f7b5294f6
                    message_id: mfc7bc417-c089-4806-8b61-51ba24b09898
                    timestamp: '2025-07-14T19:04:59.679262'
                    role: kallm
                    intent: 0
                    sources_limit: 0
                    sources: []
                    success: true
                    suggestions:
                      - How can I use AI?
                      - What can KALLM help me with?
                      - Can I ask you for advice?
                    message: My name is Gloo AI Chat. How can I assist you today?
                    model: us.anthropic.claude-3-7-sonnet-20250219-v1:0
                pin: false
                summary: null
                title: User Asks About AI's Name
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                detail: Failed to find chat
        '422':
          description: Unprocessable Entity
      deprecated: true
components:
  schemas:
    AvailableVersions:
      type: string
      enum:
        - v1
      title: AvailableVersions
    Error:
      type: object
      properties:
        detail:
          type: string
          description: A human-readable description of the error.
      title: Error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form Bearer `<token>`, where
        `<token>` is your [auth token](/studio/manage-api-credentials).

````